package com.gx.obe.common.file.download;

/** 
 * @Description: 
 * @author mazc 
 */
public class InfoBean {
	
    /**
     * 服务器URL资源
     */
    private String sSiteURL;  

    /**
     * 文件保存的路径(不包含文件名)
     */
    private String sFilePath;  

    /**
     * 文件名
     */
    private String sFileName; 

    /**
     * 下载线程个数
     */
    private int nSplitter;
    
 
    /** 
     * @Description 不指定线程数 默认按照文件大小进行划分线程数，最大线程数为10
     * @author mazc
     * @param sURL
     * @param sFileURL
     * @param sPath
     * @param sName 
     */
    public InfoBean(String sURL , String sPath, String sName){
        this.sSiteURL = sURL;
        this.sFilePath = sPath;
        this.sFileName = sName;
        this.nSplitter = 0;
    }
    
    /** 
     * @author mazc
     * @param sURL文件资源URL
     * @param sPath文件保存的路径(不包含文件名)
     * @param sName文件名
     * @param nSpiltter 下载线程个数
     */
    public InfoBean(String sURL , String sPath, String sName, int nSpiltter){
    	this.sSiteURL = sURL;
        this.sFilePath = sPath;
        this.sFileName = sName;
        this.nSplitter = nSpiltter;
    }
    

	public String getsSiteURL() {
		return sSiteURL;
	}

	public void setsSiteURL(String sSiteURL) {
		this.sSiteURL = sSiteURL;
	}

	public String getsFilePath() {
		return sFilePath;
	}

	public void setsFilePath(String sFilePath) {
		this.sFilePath = sFilePath;
	}

	public String getsFileName() {
		return sFileName;
	}

	public void setsFileName(String sFileName) {
		this.sFileName = sFileName;
	}

	public int getnSplitter() {
		return nSplitter;
	}

	public void setnSplitter(int nSplitter) {
		this.nSplitter = nSplitter;
	}
 
 
}
