package com.gx.obe.common.file.enumeration;

public enum FileTypeEnum {
	
	/**
	 * 招标
	 */
	BIDDING(1 << 0),
	/**
	 * 投标
	 */
	BID(1 << 1),
	/**
	 * 答复
	 */
	ANSWER(1 << 2),
	/**
	 * 报表
	 */
	REPORT(1 << 3);
	
	private int key;
	
	private FileTypeEnum(int key) {
		this.key = key;
	}
	
	public int getKey() {
		return key;
	}
	
}
