package com.gx.obe.common.file.listener;

import com.gx.obe.common.file.download.infer.FileDownloadListener.DOWN_STATUS;

public interface DownloadListener {
	/**
	 * Http招标文件下载
	 */
	public static final String HTTP_BIDDING = "httpBidding";
	/**
	 * Http投标文件下载
	 */
	public static final String HTTP_BID = "httpBid";
	/**
	 * Ftp招标文件下载
	 */
	public static final String FTP_BIDDING = "ftpBidding";
	/**
	 * Ftp投标文件下载
	 */
	public static final String FTP_BID = "ftpBid";
	/**
	 *  服务端投标文件下载
	 */
	public static final String SERVICE_HTTP_BID = "serviceHttpBid";
	
	/**
	 *  服务端投标文件下载
	 */
	public static final String SERVICE_BIDDING = "servicehttpBidding";
	
	
	void finish(String downloadType, DOWN_STATUS downloadStatus);
}
