package com.gx.obe.common.file.upload.infer;


/** 
 * @Description: 文件下载回调
 * @author mazc 
 */
public interface UploadFileListener {

	void Completed(boolean loginFlag);
	
	/**
	 * @Description: 上传进度计算
	 * @author mazc
	 * @param percent 
	 */
	void computeherLoadProgress(int percent);
	
	/**
	 * @Description: 计算上传速度
	 * @author mazc
	 * @param Speed 
	 */
	void computeDownloadSpeed(String Speed);
	
	/**
	 * @Description: 获取剩余时间
	 * @author mazc
	 * @param Speed 
	 */
	void computeRemainingTimeCurrent(String time);
	
	/**
	 * @Description: MD5 校验
	 * @author mazc
	 * @param isCheck 
	 */
	void MD5check(boolean isCheck);
	
}