package com.gx.obe.common.file.download.infer;


/** 
 * @Description: 文件下载回调
 * @author mazc 
 */
public interface DownloadFileListener {

	void complate(boolean flag);
	
	/**
	 * @Description: 计算下载进度
	 * @author mazc
	 * @param percent 
	 */
	void progress(int percent);
	
	/**
	 * @Description: 计算下载速度
	 * @author mazc
	 * @param Speed 
	 */
	void speed(String speed);
	
	void writeSize(long size);
	
	/**
	 * @Description: 获取剩余时间
	 * @author mazc
	 * @param Speed 
	 */
	void remainingTime(String remainingTime);
	
	/**
	 * @Description: MD5 校验
	 * @author mazc
	 * @param flag 
	 */
	void checkMD5(boolean flag);
	
}