package com.gx.obe.common.file.inter;

import com.gx.obe.common.file.download.infer.FileDownloadListener.DOWN_STATUS;

public interface FileDownloadThreadInterface {

	/**
	 * @Description: 开始
	 * @author chenxw 
	 */
	void start();

	/**
	 * @Description: 设置下载状态
	 * @author chenxw
	 * @param downloadStatus
	 */
	void setDownloadStatus(DOWN_STATUS downloadStatus);

	/**
	 * @Description: 初始化下载
	 * @author chenxw
	 */
	void initDownload();

	/**
	 * @Description: 设置下载文件删除状态
	 * @author chenxw
	 * @param isDelete
	 */
	void setDeleteDownloadFile(boolean isDelete);

	/**
	 * @Description: 删除已下载文件
	 * @author chenxw
	 */
	void deleteDownloadFile();

	/**
	 * @Description: 获取线程
	 * @author chenxw
	 * @return 
	 */
	Runnable getRunnable();

}
